complexType "InstrumentTradePricing"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-doc-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | quote*, couponStartDate?, exDividendDate?, tradedFlatOfAccrued?
</...>

Content Model Elements (4):

  couponStartDate, exDividendDate, | quote (in pricing), tradedFlatOfAccrued

All Direct / Indirect Based Elements (1):

  pricing

Known Usage Locations

- As direct type of elements (1):
  pricing

Annotation
A structure describing the price paid for the instrument.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="InstrumentTradePricing"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="quote" type="BasicQuotation"/> <xsd:element minOccurs="0" name="couponStartDate" type="xsd:date"/> <xsd:element minOccurs="0" name="exDividendDate" type="xsd:date"/> <xsd:element minOccurs="0" name="tradedFlatOfAccrued" type="xsd:boolean"/> </xsd:sequence> <!-- <xsd:choice> <xsd:element name="price" type="NetAndGross" > <xsd:annotation> <xsd:documentation xml:lang="en">The amount of money paid per unit of the traded instrument. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence> <xsd:element name="cleanPrice" type="NetAndGross" > <xsd:annotation> <xsd:documentation xml:lang="en">The amount of money paid per unit of the traded instrument, exclusive of accrued interest.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="dirtyPrice" type="NetAndGross" minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en">The amount of money paid per unit of the traded instrument, inclusive of accrued interest.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element name="dirtyPrice" type="NetAndGross" > <xsd:annotation> <xsd:documentation xml:lang="en">The amount of money paid per unit of the traded instrument, inclusive of accrued interest.</xsd:documentation> <xsd:appinfo> <view:skip view="reporting"/> <view:skip view="transparency"/> </xsd:appinfo> </xsd:annotation> </xsd:element> </xsd:choice> --> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
couponStartDate

  Type: | xsd:date, predefined, simple content

  The date interest started accruing for the accrued interest calculation on an interest bearing security.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="couponStartDate" type="xsd:date"/>

exDividendDate

  Type: | xsd:date, predefined, simple content

  The date when a distribution of dividends or interest is deducted from a securities asset, or set aside for payment to the original bondholders. From the ex-date, any dividends that are owing on the security are paid to the original owner. As a consequence of this, on the ex-date, the securities price typically drops by the amount of the distribution (plus or minus any market activity).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exDividendDate" type="xsd:date"/>

quote

  Type: | BasicQuotation, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="quote" type="BasicQuotation"/>

tradedFlatOfAccrued

  Type: | xsd:boolean, predefined, simple content

  Whether the accrued interest in included when the trade settles. ("true" means accrued interest is not included when the trade settles.)
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tradedFlatOfAccrued" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.